Page MenuHomePhabricator

Port {{mw:Extension}}'s bugzilla section links to Phabricator
Closed, ResolvedPublic

Description

Extension homepage infoboxes on mediawiki.org use https://www.mediawiki.org/w/index.php?title=Template:Extension which has a "bugzilla" parameter with an automatic link section "Bugs: list open list all report"

This would need to point to Phabricator queries instead:

{{#if: {{{bugzilla|}}} |
{{!}}colspan=2{{!}} '''[[Bugzilla|Bugs]]:''' [https://bugzilla.wikimedia.org/buglist.cgi?{{{bugzilla-query|component={{urlencode:{{{bugzilla}}}}}}}}&resolution=--- list open] [https://bugzilla.wikimedia.org/buglist.cgi?{{{bugzilla-query|component={{urlencode:{{{bugzilla}}}}}}}} list all] [https://bugzilla.wikimedia.org/enter_bug.cgi?{{{bugzilla-query|product=MediaWiki%20extensions&component={{urlencode:{{{bugzilla}}}}}}}} report]}}

Details

Reference
fl276

Event Timeline

flimport raised the priority of this task from to Low.
flimport set Reference to fl276.

aklapper wrote on 2014-08-28 19:00:46 (UTC)

I don't see an easy way to achieve the same functionality ("list open"/"list all"/"report"), as query URLs don't have parameters in Phabricator, e.g.: http://fab.wmflabs.org/maniphest/query/Pu4R4zf9OSIn/#R

Hence proposal:

aklapper wrote on 2014-08-28 19:08:35 (UTC)

Not sure if we can "mass-update" via a bot or such (I'm clueless), but for any extension (component in Bugzilla under the product "MediaWiki extensions", the new project name in Phabricator will follow a naming pattern (cf. T68) so I assume there is a chance?

Assuming that nearly all occurences refer to MediaWiki extensions, the extension named "FooBar" would become "MediaWiki_extensions-FooBar". See T43#53 for more info on the pattern.

Qgil claimed this task.Oct 1 2014, 2:51 PM

Let me play a bit with this task tonight.

Qgil added a comment.Oct 1 2014, 3:28 PM

https://www.mediawiki.org/wiki/User:Qgil-WMF/Sandbox/Template:Extension shows the principle (URLs pointing to phab-01 just for testing)

See https://www.mediawiki.org/wiki/User:Qgil-WMF/Sandbox#Template:Extension_for_Phabricator

This will work for extensions with basic charaters and no spaces, which are the big majority. I will test this evening the other cases. In the wors case scenario we could either rename the components before the migration or fix the templates after.

A "bugzilla" field will remain in the template, but only editors will see it. A bot can change this later on.

Qgil closed this task as Resolved.Oct 1 2014, 9:45 PM

User:Qgil-WMF/Sandbox/Template:Extension is ready to substitute Template:Extension on Day 1. Resolving this task. I left a note about changing the template during the migration at T535: Document all the steps that need to be done during the Bugzilla migration.

If spaces in components are treated as "_", and parenthesis and slashes are left intact, then we'll be good with all the extensions currently owning a component in Bugzilla. See the examples.

The components that deviate from the norm of only characters without spaces are:

  • ConfirmEdit (CAPTCHA extension)
  • E3 Experiments
  • Edit Messages
  • Include_WP (doesn't have bugzilla link in template)
  • Interwiki (extension)
  • SyntaxHighlight (GeSHi)
  • WikiLexicalData/OmegaWiki

There is also "General/Unknown" and "[other]" but these don't have wiki pages. :)

User:Qgil-WMF/Sandbox/Template:Extension is ready to substitute Template:Extension on Day 1.

Is the syntax really correct? For instance, is the MediaWki_extensions prefix still using underscores?

If spaces in components are treated as "_", and parenthesis and slashes are left intact

Do they? The proposed template is not doing any normalisation of the former bugzilla component names.

Qgil added a comment.Nov 14 2014, 7:53 PM

If spaces in components are treated as "_", and parenthesis and slashes are left intact

Do they? The proposed template is not doing any normalisation of the former bugzilla component names.

Argh, you are right. Thank you for spotting this. All spaces need to be converted to dashes. Considering that there are only six extensions that can go wrong (see T168#6940), I think the best is to edit these templates manually, rather than trying to implement an algorithm in wikitext to convert spaces in dashes.

I have added this step in https://www.mediawiki.org/w/index.php?title=Phabricator%2Fversus_Bugzilla&diff=1262016&oldid=1261987 to make sure that it I don't forget.

PS: a deeper problem here is that, as easy as it is to change the name of projects, we can expect situation where a project is renamed but the extension wiki page is not, creating a broken link. Something to be added in the guidelines, I guess, especially in the context of T706: Requests for addition to the #acl*Project-Admins group (in comments).

He7d3r updated the task description. (Show Details)Nov 24 2014, 11:19 AM
He7d3r set Security to None.
Qgil added a comment.Nov 24 2014, 11:38 AM

Details about the update of this template and the related testing can be found at https://www.mediawiki.org/wiki/Thread:Template_talk:Extension/Update_for_Phabricator